
Redmine - Defect #12893

Copying an issue does not copy parent task id

2013-01-18 09:10 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.3.0   

Resolution: Fixed Affected version: 2.2.1

Description

When a user copies a ticket the fields should have the value the original ticket had. But the parent task id from the original ticket is

not copied into the new ticket. I think this value should also be copied because it is part of the original ticket..

Related issues:

Related to Redmine - Defect #17580: After copying a task, setting the parent ... Closed

Has duplicate Redmine - Defect #19486: Parent task field isn't preserved when... Closed

Has duplicate Redmine - Feature #6041: subtask duplicate gets parentless Closed 2010-08-05

Associated revisions

Revision 15058 - 2016-01-10 16:47 - Jean-Philippe Lang

Copying an issue does not copy parent task id (#12893).

History

#1 - 2014-08-27 14:18 - Toshi MARUYAMA

- Related to Defect #17580: After copying a task, setting the parent as the orignal task's parent triggers an error added

#2 - 2015-04-12 07:31 - Go MAEDA

- Has duplicate Defect #19486: Parent task field isn't preserved when copying issue added

#3 - 2015-10-20 18:32 - Olivier Houdas

Check the patch in #17580.

Note in particular that there is an option in Redmine (Admin\Settings\Issue tracking - Link issues on copy) which can interact with setting the parent.

#4 - 2016-01-10 16:48 - Jean-Philippe Lang

- Subject changed from copying a ticket does not copy parent task id into the new ticket to Copying an issue does not copy parent task id

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.3.0

- Resolution set to Fixed

Fixed in r15058.

#5 - 2016-12-25 05:09 - Go MAEDA

- Has duplicate Feature #6041: subtask duplicate gets parentless added
